package com.phlx.anchorcollect.ui.fragment.list;

import androidx.annotation.NonNull;
import androidx.databinding.ObservableField;

import com.phlx.anchorcollect.Configs;
import com.phlx.anchorcollect.entity.GenTableColumn;
import com.phlx.anchorcollect.ui.fragment.vm.BasicsCollectVM;

import me.goldze.mvvmhabit.base.BaseViewModel;
import me.goldze.mvvmhabit.base.ItemViewModel;
import me.goldze.mvvmhabit.binding.command.BindingAction;
import me.goldze.mvvmhabit.binding.command.BindingCommand;
import me.goldze.mvvmhabit.utils.StringUtils;
import me.goldze.mvvmhabit.utils.ToastUtils;

public class CollectGridItem extends ItemViewModel<BaseViewModel> {

    public ObservableField<GenTableColumn> entity = new ObservableField<>();

    private  String fragmentType;

    public CollectGridItem(@NonNull BaseViewModel viewModel, GenTableColumn entity, String fragmentType) {
        super(viewModel);
        this.entity.set(entity);
        this.fragmentType = fragmentType;
    }

    public BindingCommand onItemClickCommand = new BindingCommand(new BindingAction() {
        @Override
        public void call() {

            switch (fragmentType){
                case Configs.BASE_ARCHIVES:
                    ((BasicsCollectVM)viewModel).onItemClick(entity.get());
                    break;
                case Configs.SIGN_MEASURE:

                    break;
                case Configs.WEIGHTING_MANAGE:

                    break;
                case Configs.TREATMENT_RECORD:

                    break;
                case Configs.IMMUN_RECORD:

                    break;
                case Configs.BREEDING_RECORD:

                    break;
            }
        }
    });
}
