package com.phlx.anchorcollect.data.http;


import com.phlx.anchorcollect.entity.CattleResumeEntity;
import com.phlx.anchorcollect.entity.DictEntity;
import com.phlx.anchorcollect.entity.GenData;
import com.phlx.anchorcollect.entity.LoginData;
import com.phlx.anchorcollect.params.CollectResponse;
import com.phlx.anchorcollect.params.ListResponse;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;
import okhttp3.RequestBody;
import retrofit2.http.Body;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.POST;

/**
 * Created by goldze on 2019/3/26.
 */
public interface HttpDataSource {



//    /**
//     * 获取版本号
//     */
//    Observable<CattleResponse<Double>> versionGet();
//
//    /**
//     * 下载新版本
//     */
//    Observable<CattleResponse> DownloadApp();

    /**
     * 登录
     */
    Observable<CollectResponse<LoginData>> loginPost(@FieldMap Map<String,String> map);

    /**
     * 获取页面配置
     */
    Observable<CollectResponse<GenData>> genGet();

    /**
     * 获取基础信息列表
     */
    Observable<ListResponse<CattleResumeEntity>> downloadCattleList(@FieldMap Map<String, String> map);

    /**
     * 获取基础信息列表-返回
     */
    Observable<CollectResponse> downloadCattleListSync(@Body RequestBody body);

    /**
     * 获取字典项列表
     */
    Observable<ListResponse<DictEntity>> downloadDict();



}
